Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 21980 - Do not load classes on startup of web module
Do not load classes on startup of web module
Status: VERIFIED FIXED
Product: javaee
Classification: Unclassified
Component: Code
3.x
PC Linux
: P3 (vote)
: 3.x
Assigned To: Petr Jiricka
issues@javaee
: PERFORMANCE
Depends on: 27212 29438
Blocks: 21676
  Show dependency treegraph
 
Reported: 2002-03-29 14:54 UTC by Jaroslav Tulach
Modified: 2007-07-31 13:08 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2002-03-29 14:54:48 UTC
As part of issue 21676 I have investigated what will happen when
ModuleInstall.restore of modules will be called but nothing else. Applied the
patch in issue 21676 and started the IDE with 

-J-Dskip.toolbars=true -J-Dskip.loaders=true -J-Dskip.shortcuts=true
-J-Dnetbeans.full.hack=full -J-Dskip.menu=true

Following classes has been loaded, please investigate why and make sure that
they will not:


org.netbeans.modules.web.core.FeatureFactory
org.netbeans.modules.web.core.LanguageDescriptor
org.netbeans.modules.web.core.LanguageDescriptor$1
org.netbeans.modules.web.core.ServletSettings
org.netbeans.modules.web.core.ServletSettingsBeanInfo
org.netbeans.modules.web.core.ServletSupportModule
org.netbeans.modules.web.core.ServletSupportModule$Settings
org.netbeans.modules.web.core.WebBrowser
org.netbeans.modules.web.core.WebBrowser$Factory
org.netbeans.modules.web.execution.WebModuleInstallationSupport
org.netbeans.modules.web.tomcat.TomcatModuleInstall
org.netbeans.modules.web.tomcat.TomcatServerInstance
org.netbeans.modules.web.tomcat.TomcatServerInstance$Phase
org.netbeans.modules.web.tomcat.TomcatWebServer
org.netbeans.modules.web.webdata.WebDataFactory
org.netbeans.modules.web.webdata.WebDataFactoryImpl
Comment 1 Petr Jiricka 2002-04-02 14:49:09 UTC
Will address in the 3.4 codebase.
Comment 2 _ rkubacki 2002-04-05 14:14:25 UTC
Here are opuputs for FFJ4.0 dev builds (grouped by modules):

org.netbeans.modules.web.execution.WebModuleInstallationSupport
org.netbeans.modules.web.webdata.WebDataFactoryImpl
org.netbeans.modules.web.webdata.WebDataFactory
org.netbeans.modules.web.core.WebBrowser$Factory
org.netbeans.modules.web.core.ServletSupportModule$Settings
org.netbeans.modules.web.core.ServletSettings
org.netbeans.modules.web.core.ServletSettingsBeanInfo
org.netbeans.modules.web.core.WebBrowser
org.netbeans.modules.web.core.LanguageDescriptor
org.netbeans.modules.web.core.FeatureFactory
org.netbeans.modules.web.core.LanguageDescriptor$1
org.netbeans.modules.web.context.WebInfLoader
org.netbeans.modules.web.execution.ExecuteForceReloadAction
org.netbeans.modules.web.webdata.WebDataFactory$MonitorSupport
org.netbeans.modules.web.context.WebContextListener
org.netbeans.modules.web.context.WebContextObject
org.netbeans.modules.web.context.WebContextObject$WebContextPackager
org.netbeans.modules.web.context.WebInfLoader$FileRecognizer
org.netbeans.modules.web.context.PackageWar
org.netbeans.modules.web.context.PackageWar$WarFileFilter
org.netbeans.modules.web.context.PackageWar$WarContentFilter
org.netbeans.modules.web.context.WebInfObject$WebInfSheetGenerator
org.netbeans.modules.web.context.WebInfObject
org.netbeans.modules.web.context.WebInfObject$WebInfCookieGenerator

org.netbeans.modules.web.debug.JspCompoundEvent
org.netbeans.modules.web.debug.JspBreakpointAnnotation
org.netbeans.modules.web.debug.PinkJspBreakpointAnnotation
org.netbeans.modules.web.debug.JspCompoundEvent$JspBreakpointUpdater
org.netbeans.modules.web.debug.JspServletEvent
org.netbeans.modules.web.debug.CurrentLineSupport
org.netbeans.modules.web.debug.CurrentLineSupport$ThreadsRootListener
org.netbeans.modules.web.debug.IEDebugFactory


org.netbeans.modules.web.monitor.client.PortServer
org.netbeans.modules.web.monitor.MonitorModule$MonitorSupportImpl
org.netbeans.modules.web.monitor.client.PortServer$PortServerThread

org.netbeans.modules.web.core.syntax.JspMultiSettingsInitializer
org.netbeans.modules.web.core.syntax.RestoreColoring$1
org.netbeans.modules.web.core.syntax.JSPPrintOptions
org.netbeans.modules.web.core.syntax.JSPKit
org.netbeans.modules.web.core.syntax.JSPPrintOptionsBeanInfo

org.netbeans.modules.web.ie.xmlsyntax.RestoreIEColoring
org.netbeans.modules.web.ie.xmlsyntax.JspXMLSettingsInitializer
org.netbeans.modules.web.ie.xmlsyntax.RestoreIEColoring$1
org.netbeans.modules.web.ie.execution.WebModuleInstallationSupport
org.netbeans.modules.web.ie.webdata.WebDataFactoryIEImpl
org.netbeans.modules.web.war.WarPackagerSupport
org.netbeans.modules.web.war.actions.ViewContentWarAction
org.netbeans.modules.web.war.WarPackagerSupport$WarPackagerWebInfSheetGenerator
org.netbeans.modules.web.ie.DDCatalog

org.netbeans.modules.web.taglib.TagLibSupport
Comment 3 Damian Frach 2002-04-09 14:58:26 UTC
web/execution/WebModuleInstallationSupport removed
web/execution/ie/WebModuleInstallationSupport removed
web/webdata/WebDataFactory$MonitorSupport removed
Comment 4 Damian Frach 2002-04-09 14:58:40 UTC
web/execution/WebModuleInstallationSupport removed
web/execution/ie/WebModuleInstallationSupport removed
web/webdata/WebDataFactory$MonitorSupport removed
Comment 5 Marek Grummich 2002-07-22 12:02:55 UTC
Set target milestone to TBD
Comment 6 Marek Grummich 2002-07-22 12:07:04 UTC
Set target milestone to TBD
Comment 7 Jesse Glick 2002-09-10 17:27:05 UTC
Someone should look at j2eeserver, too; probably related:

org.netbeans.modules.j2ee.IntegrationModule
org.netbeans.modules.j2ee.impl.ServerOptions
org.netbeans.modules.j2ee.impl.ServerRegistryImpl
org.netbeans.modules.j2ee.impl.ServerRegistryImpl$ServerEvent
org.netbeans.modules.j2ee.impl.ServerRegistryImpl$ServerRegistryListener
org.netbeans.modules.j2ee.server.CustomData
org.netbeans.modules.j2ee.server.DebugInfo
org.netbeans.modules.j2ee.server.Server
org.netbeans.modules.j2ee.server.ServerInstance
org.netbeans.modules.j2ee.server.ServerListener
org.netbeans.modules.j2ee.server.ServerRegistry
org.netbeans.modules.j2ee.server.ServerStatus
org.netbeans.modules.j2ee.server.datamodel.AppChangeListener
org.netbeans.modules.j2ee.server.datamodel.DataChangeEvent
org.netbeans.modules.j2ee.server.datamodel.ModuleChangeEvent
org.netbeans.modules.j2ee.server.datamodel.StandardData
org.netbeans.modules.j2ee.server.datamodel.WebAppStandardData
org.netbeans.modules.j2ee.server.datamodel.WebChangeListener
org.netbeans.modules.j2ee.server.datamodel.WebStandardData
org.netbeans.modules.j2ee.server.datamodel.WebStandardData$WebJar
org.netbeans.modules.j2ee.server.datamodel.WebStandardData$WebModule
org.netbeans.modules.j2ee.server.datamodel.WebStandardData$WebResource
org.netbeans.modules.j2ee.server.web.WebServer
org.netbeans.modules.j2ee.server.web.WebServerInstance
org.netbeans.modules.j2ee.ui.ServerRegistryNode


This seems pretty excessive for loading during startup! Remember I
might never touch a single web app while using NB.
Comment 8 _ rkubacki 2002-09-12 10:38:53 UTC
New version of j2eeserver module (compatible with JSR88) will address
problem of loading too many classes. 
Comment 9 _ rkubacki 2003-01-13 12:18:56 UTC
Tegal planning
Comment 10 _ rkubacki 2003-02-21 12:50:41 UTC
Fixed expect couple of classes in JSP debugging (new issue #31279) and 

org.netbeans.modules.web.core.CompilationMessagePanel in web.core.
Other loaded classes refer to loaders and actions.
Comment 11 Dan Kolar 2007-07-31 13:08:45 UTC
v.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo